# Generated by go2rpm
# https://github.com/AdRoll/goamz/issues/445
%ifnarch %{ix86} %{arm}
%bcond_without check
%endif

# https://github.com/AdRoll/goamz
%global goipath         github.com/AdRoll/goamz
%global commit          2731d20f46f42449a49b3464271c5fba8da60ed6

%gometa

# Remove in F33:
%global godevelheader %{expand:
Obsoletes:      golang-github-AdRoll-goamz-devel < 0-0.19
}

%global common_description %{expand:
The Goamz package enables Go programs to interact with Amazon Web Services.

This is a fork of the version developed within Canonical with additional
functionality and services from a number of contributors!

The API of AWS is very comprehensive, though, and goamz doesn't even scratch the
surface of it. That said, it's fairly well tested, and is the foundation in
which further calls can easily be integrated.}

%global golicenses      LICENSE
%global godocs          README.md TODO.md

%global gosupfiles      glide.lock glide.yaml

Name:           %{goname}
Version:        0
Release:        0.25%{?dist}
Summary:        Fork of the GOAMZ with additional functionality with DynamoDB

License:        LGPLv3
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.lock
Source2:        glide.yaml
# Fix Fatalf and Printf arguments
Patch0:         0001-Fix-Fatalf-arguments.patch
Patch1:         0001-Fix-Printf-arguments.patch

BuildRequires:  golang(github.com/bitly/go-simplejson)
BuildRequires:  golang(github.com/cbroglie/mapstructure)
# Non-free
# BuildRequires:  golang(github.com/feyeleanor/sets)
BuildRequires:  golang(gopkg.in/check.v1)

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1
%patch1 -p1
# Depends on github.com/feyeleanor/sets, which is non-free
rm -rf cloudwatch
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 09 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.20.20190702git2731d20
- Add Obsoletes for old name

* Thu May 23 20:45:42 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.19.20190702git2731d20
- Update to new macros

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.git2731d20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Nov 11 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.17.20181111git2731d20
- Bump to commit 2731d20f46f42449a49b3464271c5fba8da60ed6

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.16.20151129gitaa6e716
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.14.gitaa6e716
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 08 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.14.20151129gitaa6e716
- Upload glide.lock and glide.yaml

* Mon Mar 05 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.13.20151129gitaa6e716
- Update to spec 3.0

* Mon Feb 26 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.12.20151129gitaa6e716
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.gitaa6e716
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.gitaa6e716
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.gitaa6e716
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.gitaa6e716
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 09 2016 jchaloup <jchaloup@redhat.com> - 0-0.7.gitaa6e716
- Enable devel and unit-test for epel7
  related: #1269571

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.gitaa6e716
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sat Mar 05 2016 jchaloup <jchaloup@redhat.com> - 0-0.5.gitaa6e716
- Bump to upstream aa6e716d710a0c7941cb2075cfbb9661f16d21f1
  related: #1269571

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.gitf8c4952
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.gitf8c4952
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 07 2015 jchaloup <jchaloup@redhat.com> - 0-0.2.gitf8c4952
- Add s3 package for openshift/origin
  resolves: #1269571

* Mon Sep 14 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.gitf8c4952
- First package for Fedora
  resolves: #1262714
